Register for the iXsystems Community to get an ad-free experience and exclusive discounts in our eBay Store.

SMB shares - acces denied when connecting from Win10

Western Digital Drives - The Preferred Drives of FreeNAS and TrueNAS CORE

ethylowy

Neophyte
Joined
Feb 22, 2019
Messages
9
Hello!

First of all, i would like to apologize for possibly dumb or even duplicated post (not sure tho) ;)
I'm kinda' new on the block - recently installed and configured FreeNAS in my home office enviroment. All was really awesome, untill the last update.

After upgrade to FreeNAS-11.2-U2 my shares simply stopped working. I see them on the network, but there is no way i can access them, even when providing correct user credentials.

I've checked several other topics regarding SMB issues with share's access, tried couple work-arounds posted on this forum, but its still no-go for me.

What i've done so far :
  • added IXNAS to VFS Objects
  • deleted and recreated share
  • deleted and readded Datasets
  • changed the permissions set to Windows (used UNIX for test purpouses, no-go)
  • deleted and reconfigured groups allowed to access the share
I did not tried to downgrade yet, cause at this moment im a bit worried about the data stored in shares, as well those on my VM's...
Sooo.... Any help would be really appreciated, direct tips, configuration changes or links to possible threads that could help.

Yet again, if i failed with asking an already answered Q, sorry 'bout that :D
Cheers!

smbd -i -d 3 attached
log.smbd contents :

Code:
[2019/02/22 10:12:50.102101,  1] ../source3/profile/profile_dummy.c:30(set_profile_level)
  INFO: Profiling support unavailable in this build.
[2019/02/22 10:12:50.230632,  1] ../source3/smbd/files.c:218(file_init_global)
  file_init_global: Information only: requested 466463 open files, 59392 are available.
[2019/02/22 10:12:50.232458,  0] ../lib/util/become_daemon.c:138(daemon_ready)
  daemon_ready: STATUS=daemon 'smbd' finished starting up and ready to serve connections
[2019/02/22 10:14:01.217815,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 10:14:08.343302,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 10:52:46.377588,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 10:52:47.703148,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 10:53:06.829504,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 10:53:07.405361,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 10:55:59.602178,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 10:55:59.771664,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 11:02:13.116720,  1] ../source3/profile/profile_dummy.c:30(set_profile_level)
  INFO: Profiling support unavailable in this build.
[2019/02/22 11:02:13.224801,  1] ../source3/smbd/files.c:218(file_init_global)
  file_init_global: Information only: requested 466463 open files, 59392 are available.
[2019/02/22 11:02:13.226693,  0] ../lib/util/become_daemon.c:138(daemon_ready)
  daemon_ready: STATUS=daemon 'smbd' finished starting up and ready to serve connections
[2019/02/22 11:02:22.137414,  1] ../source3/profile/profile_dummy.c:30(set_profile_level)
  INFO: Profiling support unavailable in this build.
[2019/02/22 11:02:22.234720,  1] ../source3/smbd/files.c:218(file_init_global)
  file_init_global: Information only: requested 466463 open files, 59392 are available.
[2019/02/22 11:02:22.236509,  0] ../lib/util/become_daemon.c:138(daemon_ready)
  daemon_ready: STATUS=daemon 'smbd' finished starting up and ready to serve connections
[2019/02/22 11:02:26.783986,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 11:05:04.976801,  1] ../source3/profile/profile_dummy.c:30(set_profile_level)
  INFO: Profiling support unavailable in this build.
[2019/02/22 11:05:05.091820,  1] ../source3/smbd/files.c:218(file_init_global)
  file_init_global: Information only: requested 466463 open files, 59392 are available.
[2019/02/22 11:05:05.093708,  0] ../lib/util/become_daemon.c:138(daemon_ready)
  daemon_ready: STATUS=daemon 'smbd' finished starting up and ready to serve connections
[2019/02/22 11:05:13.623676,  1] ../source3/profile/profile_dummy.c:30(set_profile_level)
  INFO: Profiling support unavailable in this build.
[2019/02/22 11:05:13.718919,  1] ../source3/smbd/files.c:218(file_init_global)
  file_init_global: Information only: requested 466463 open files, 59392 are available.
[2019/02/22 11:05:13.720679,  0] ../lib/util/become_daemon.c:138(daemon_ready)
  daemon_ready: STATUS=daemon 'smbd' finished starting up and ready to serve connections
[2019/02/22 11:05:19.370395,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 11:05:34.206452,  1] ../source3/profile/profile_dummy.c:30(set_profile_level)
  INFO: Profiling support unavailable in this build.
[2019/02/22 11:05:34.304921,  1] ../source3/smbd/files.c:218(file_init_global)
  file_init_global: Information only: requested 466463 open files, 59392 are available.
[2019/02/22 11:05:34.306875,  0] ../lib/util/become_daemon.c:138(daemon_ready)
  daemon_ready: STATUS=daemon 'smbd' finished starting up and ready to serve connections
[2019/02/22 11:22:12.860169,  1] ../source3/profile/profile_dummy.c:30(set_profile_level)
  INFO: Profiling support unavailable in this build.
[2019/02/22 11:22:12.979942,  1] ../source3/smbd/files.c:218(file_init_global)
  file_init_global: Information only: requested 466463 open files, 59392 are available.
[2019/02/22 11:22:12.981756,  0] ../lib/util/become_daemon.c:138(daemon_ready)
  daemon_ready: STATUS=daemon 'smbd' finished starting up and ready to serve connections
[2019/02/22 11:22:24.055672,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
[2019/02/22 11:22:24.112223,  0] ../source3/smbd/uid.c:386(change_to_user_internal)
  change_to_user_internal: chdir_current_service() failed!
 

Attachments

avalon60

Senior Member
Joined
Jan 15, 2014
Messages
489
I have the same problem, but I am using Linux Ubuntu.
When I run this:
sudo mount -t cifs -o username=****,password=*******,uid=rob,gid=rob //192.168.0.22/WinShare/Media/Music /mnt/WinShare/Media/Music

It returns this:
mount error(13): Permission denied
Refer to the mount.cifs(8) manual page (e.g. man mount.cifs)

This is my fstab line:
//192.168.0.22/Music /mnt/WinShare/Media/Music cifs credentials=/home/rob/.smbclient,_netdev,uid=rob 0 0

The strange thing is that using the exact same lines for Videos instead of Music, gets mounted!!!!
Both folders, Music and Videos, have the same Owner(user) as root and Owner(group) as nobody.

These setting have worked fine in previous versions of FreeNAS

Confused I will be
 
Last edited:

anodos

Sambassador
iXsystems
Joined
Mar 6, 2014
Messages
6,565
The smbd command I provided someone before was to diagnose a very specific issue with samba. It's not a general purpose tool for diagnosing problems.
@ethylowy can you restart the SMB service with log level set to "debug" under services->SMB, then get a copy of log.smbd after a failed auth attempt.

@avalon60 can you post output of getfacl for the paths of a working share and non-working share.
 

avalon60

Senior Member
Joined
Jan 15, 2014
Messages
489
How do I run 'getfactl' . I have just tried getfactl in a shell but command not found.

On my ubuntu machine I've installed Eiciel and went to one of my shared folders, but Eiciel couldn't open it.
Thanks
 
Last edited:

ethylowy

Neophyte
Joined
Feb 22, 2019
Messages
9
Last 500+ lines after failed access attempt
Code:
[2019/02/22 12:39:54.095695, 10, pid=95821, effective(1000, 1002), real(0, 0), class=vfs] ../source3/smbd/vfs.c:1196(check_reduced_name)
  check_reduced_name: check_reduced_name [.] [/mnt/RED_RAID5/SambaShared]
[2019/02/22 12:39:54.095707, 10, pid=95821, effective(1000, 1002), real(0, 0), class=vfs] ../source3/smbd/vfs.c:1260(check_reduced_name)
  check_reduced_name realpath [.] -> [/]
[2019/02/22 12:39:54.095717,  2, pid=95821, effective(1000, 1002), real(0, 0), class=vfs] ../source3/smbd/vfs.c:1305(check_reduced_name)
  check_reduced_name: Bad access attempt: . is a symlink outside the share path
  conn_rootdir =/mnt/RED_RAID5/SambaShared
  resolved_name=/
[2019/02/22 12:39:54.095735,  5, pid=95821, effective(1000, 1002), real(0, 0)] ../source3/smbd/filename.c:1271(check_name)
  check_name: name . failed with NT_STATUS_ACCESS_DENIED
[2019/02/22 12:39:54.095745,  3, pid=95821, effective(1000, 1002), real(0, 0)] ../source3/smbd/filename.c:1676(filename_convert_internal)
  filename_convert_internal: check_name failed for name . with NT_STATUS_ACCESS_DENIED
[2019/02/22 12:39:54.095757,  3, pid=95821, effective(1000, 1002), real(0, 0), class=smb2] ../source3/smbd/smb2_server.c:3195(smbd_smb2_request_error_ex)
  smbd_smb2_request_error_ex: smbd_smb2_request_error_ex: idx[1] status[NT_STATUS_ACCESS_DENIED] || at ../source3/smbd/smb2_create.c:296
[2019/02/22 12:39:54.095768, 10, pid=95821, effective(1000, 1002), real(0, 0), class=smb2] ../source3/smbd/smb2_server.c:3086(smbd_smb2_request_done_ex)
  smbd_smb2_request_done_ex: idx[1] status[NT_STATUS_ACCESS_DENIED] body[8] dyn[yes:1] at ../source3/smbd/smb2_server.c:3243
[2019/02/22 12:39:54.095779, 10, pid=95821, effective(1000, 1002), real(0, 0), class=smb2_credits] ../source3/smbd/smb2_server.c:937(smb2_set_operation_credit)
  smb2_set_operation_credit: smb2_set_operation_credit: requested 1, charge 1, granted 1, current possible/max 406/512, total granted/max/low/range 107/8192/57/107
[2019/02/22 12:39:54.103790, 10, pid=95821, effective(1000, 1002), real(0, 0), class=smb2] ../source3/smbd/smb2_server.c:3958(smbd_smb2_io_handler)
  smbd_smb2_request idx[1] of 5 vectors
[2019/02/22 12:39:54.103803, 10, pid=95821, effective(1000, 1002), real(0, 0), class=smb2_credits] ../source3/smbd/smb2_server.c:679(smb2_validate_sequence_number)
  smb2_validate_sequence_number: smb2_validate_sequence_number: clearing id 57 (position 57) from bitmap
[2019/02/22 12:39:54.103814, 10, pid=95821, effective(1000, 1002), real(0, 0), class=smb2] ../source3/smbd/smb2_server.c:2323(smbd_smb2_request_dispatch)
  smbd_smb2_request_dispatch: opcode[SMB2_OP_CREATE] mid = 57
[2019/02/22 12:39:54.103825,  5, pid=95821, effective(1000, 1002), real(0, 0)] ../source3/smbd/uid.c:309(change_to_user_internal)
  change_to_user_internal: Skipping user change - already user
[2019/02/22 12:39:54.103837, 10, pid=95821, effective(1000, 1002), real(0, 0), class=smb2] ../source3/smbd/smb2_create.c:668(smbd_smb2_create_send)
  smbd_smb2_create_send: name []
[2019/02/22 12:39:54.103848, 10, pid=95821, effective(1000, 1002), real(0, 0), class=smb2] ../source3/smbd/smb2_create.c:766(smbd_smb2_create_send)
  smbd_smb2_create_send: open execution phase
[2019/02/22 12:39:54.103859,  5, pid=95821, effective(1000, 1002), real(0, 0)] ../source3/smbd/filename.c:461(unix_convert)
  unix_convert called on file ""
[2019/02/22 12:39:54.103872,  5, pid=95821, effective(1000, 1002), real(0, 0)] ../source3/smbd/filename.c:495(unix_convert)
  conversion finished "" -> .
[2019/02/22 12:39:54.103882,  8, pid=95821, effective(1000, 1002), real(0, 0)] ../source3/lib/util.c:887(is_in_path)
  is_in_path: .
[2019/02/22 12:39:54.103892,  8, pid=95821, effective(1000, 1002), real(0, 0)] ../source3/lib/util.c:911(is_in_path)
  is_in_path: match not found
[2019/02/22 12:39:54.103902, 10, pid=95821, effective(1000, 1002), real(0, 0), class=vfs] ../source3/smbd/vfs.c:1196(check_reduced_name)
  check_reduced_name: check_reduced_name [.] [/mnt/RED_RAID5/SambaShared]
[2019/02/22 12:39:54.103914, 10, pid=95821, effective(1000, 1002), real(0, 0), class=vfs] ../source3/smbd/vfs.c:1260(check_reduced_name)
  check_reduced_name realpath [.] -> [/]
[2019/02/22 12:39:54.103924,  2, pid=95821, effective(1000, 1002), real(0, 0), class=vfs] ../source3/smbd/vfs.c:1305(check_reduced_name)
  check_reduced_name: Bad access attempt: . is a symlink outside the share path
  conn_rootdir =/mnt/RED_RAID5/SambaShared
  resolved_name=/
[2019/02/22 12:39:54.103943,  5, pid=95821, effective(1000, 1002), real(0, 0)] ../source3/smbd/filename.c:1271(check_name)
  check_name: name . failed with NT_STATUS_ACCESS_DENIED
[2019/02/22 12:39:54.103953,  3, pid=95821, effective(1000, 1002), real(0, 0)] ../source3/smbd/filename.c:1676(filename_convert_internal)
  filename_convert_internal: check_name failed for name . with NT_STATUS_ACCESS_DENIED
[2019/02/22 12:39:54.103965,  3, pid=95821, effective(1000, 1002), real(0, 0), class=smb2] ../source3/smbd/smb2_server.c:3195(smbd_smb2_request_error_ex)
  smbd_smb2_request_error_ex: smbd_smb2_request_error_ex: idx[1] status[NT_STATUS_ACCESS_DENIED] || at ../source3/smbd/smb2_create.c:296
[2019/02/22 12:39:54.103976, 10, pid=95821, effective(1000, 1002), real(0, 0), class=smb2] ../source3/smbd/smb2_server.c:3086(smbd_smb2_request_done_ex)
  smbd_smb2_request_done_ex: idx[1] status[NT_STATUS_ACCESS_DENIED] body[8] dyn[yes:1] at ../source3/smbd/smb2_server.c:3243
[2019/02/22 12:39:54.103987, 10, pid=95821, effective(1000, 1002), real(0, 0), class=smb2_credits] ../source3/smbd/smb2_server.c:937(smb2_set_operation_credit)
  smb2_set_operation_credit: smb2_set_operation_credit: requested 1, charge 1, granted 1, current possible/max 406/512, total granted/max/low/range 107/8192/58/107
 

avalon60

Senior Member
Joined
Jan 15, 2014
Messages
489
oops, my bad!
How do I actually run gafacl as when I do gatfacl /shared/folder/files, it fails
Thanks
 

ethylowy

Neophyte
Joined
Feb 22, 2019
Messages
9
@anodos im now bit confused...
i dont have any idea why, but it seems dir was somehow duplicated
Code:
root@STS1NAS[~]#  ls -l /mnt/RED_RAID5
total 56
dr--r-----  2 root     wheel         2 Feb 15 07:41 bjarocki
drwxrwxr--  5 btrojan  SambaShared  13 Feb 10 17:15 btrojan
drwxr-xr-x  9 root     wheel        10 Feb 20 17:38 iocage
drwxrwxr-x+ 2 root     wheel         3 Feb 22 09:23 SambaShare
drwxrwxr-x+ 5 nobody   SambaShared   6 Feb 22 10:11 SambaShared
root@STS1NAS[~]#



EDIT: Nvm, i misread the output ^_^
Share named SambaShare was a test one, meant to be deleted after testing, which i forgot to do, aparently.
 
Last edited:

avalon60

Senior Member
Joined
Jan 15, 2014
Messages
489
Music will not mount and I am using the exact line in fstab as I do for the Films folder

[root@freenas]#getfacl /mnt/WinShare/Media/Music
#file: /mnt/WinShare/Media/Music
# owner: root
# group: nobody
owner@:rwxpDaARWcCos:fd----I:allow
group@:rwxpDaARWcCos:fd----I:allow
everyone@:r-x---a-R-c--:fd----I:allow

Films will mount
[root@freenas]#getfacl /mnt/WinShare/Media/Films
file: /mnt/WinShare/Media/Films
# owner: root
# group: nobody
owner@:rwxpDaARWcCos:fd----I:allow
group@:rwxpDaARWcCos:fd----I:allow
everyone@:r-x---a-R-c--:fd----I:allow
 

anodos

Sambassador
iXsystems
Joined
Mar 6, 2014
Messages
6,565
Music will not mount and I am using the exact line in fstab as I do for the Films folder

[root@freenas]#getfacl /mnt/WinShare/Media/Music
#file: /mnt/WinShare/Media/Music
# owner: root
# group: nobody
owner@:rwxpDaARWcCos:fd----I:allow
group@:rwxpDaARWcCos:fd----I:allow
everyone@:r-x---a-R-c--:fd----I:allow

Films will mount
[root@freenas]#getfacl /mnt/WinShare/Media/Films
file: /mnt/WinShare/Media/Films
# owner: root
# group: nobody
owner@:rwxpDaARWcCos:fd----I:allow
group@:rwxpDaARWcCos:fd----I:allow
everyone@:r-x---a-R-c--:fd----I:allow
Can you PM me a debug file? System->Advanced->Save Debug.
 

anodos

Sambassador
iXsystems
Joined
Mar 6, 2014
Messages
6,565
@anodos im now bit confused...
i don't have any idea why, but it seems dir was somehow duplicated
Code:
root@STS1NAS[~]#  ls -l /mnt/RED_RAID5
total 56
dr--r-----  2 root     wheel         2 Feb 15 07:41 bjarocki
drwxrwxr--  5 btrojan  SambaShared  13 Feb 10 17:15 btrojan
drwxr-xr-x  9 root     wheel        10 Feb 20 17:38 iocage
drwxrwxr-x+ 2 root     wheel         3 Feb 22 09:23 SambaShare
drwxrwxr-x+ 5 nobody   SambaShared   6 Feb 22 10:11 SambaShared
root@STS1NAS[~]#



EDIT: Nvm, i misread the output ^_^
Share named SambaShare was a test one, meant to be deleted after testing, which i forgot to do, aparently.
Can you PM me a debug file?
 

ethylowy

Neophyte
Joined
Feb 22, 2019
Messages
9
@anodos whole file sent via PM.
 

ethylowy

Neophyte
Joined
Feb 22, 2019
Messages
9
Just found out...
After the update, my jails stopped working as well.
Code:
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
  File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
    r = call_item.fn(*call_item.args, **call_item.kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 128, in main_worker
    res = loop.run_until_complete(coro)
  File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
    return future.result()
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 88, in _run
    return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 81, in _call
    return methodobj(*params)
  File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
    return f(*args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 581, in start
    iocage.start()
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/iocage.py", line 1663, in start
    callback=self.callback
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 66, in __init__
    self.__start_jail__()
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 415, in __start_jail__
    vnet_err = self.start_network(vnet)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 598, in start_network
    err = self.start_network_interface_vnet(nic, net_configs, jid)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 624, in start_network_interface_vnet
    membermtu = self.find_bridge_mtu(bridge)
  File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_start.py", line 975, in find_bridge_mtu
    su.check_call(bridge_cmd, stdout=su.PIPE, stderr=su.PIPE)
UnboundLocalError: local variable 'bridge_cmd' referenced before assignment
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 165, in call_method
    result = await self.middleware.call_method(self, message)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1141, in call_method
    return await self._call(message['method'], serviceobj, methodobj, params, app=app, io_thread=False)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1078, in _call
    return await self._call_worker(serviceobj, name, *args)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1105, in _call_worker
    job,
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1036, in run_in_proc
    return await self.run_in_executor(self.__procpool, method, *args, **kwargs)
  File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1021, in run_in_executor
    return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
UnboundLocalError: local variable 'bridge_cmd' referenced before assignment

But i see this issue is already adressed to be fixed in U3
 

avalon60

Senior Member
Joined
Jan 15, 2014
Messages
489
I have just tried to mount the Music folder again, and then went to /var/log/syslog.
This is the last entry:

Feb 22 14:40:17 rob-Z97 kernel: [74970.811096] No dialect specified on mount. Default has changed to a more secure dialect, SMB2.1 or later (e.g. SMB3), from CIFS (SMB1). To use the less secure SMB1 dialect to access old servers which do not support SMB3 (or SMB2.1) specify vers=1.0 on mount.
Feb 22 14:40:17 rob-Z97 kernel: [74970.811923] CIFS VFS: cifs_mount failed w/return code = -13
Feb 22 14:40:17 rob-Z97 kernel: [74970.811096] No dialect specified on mount. Default has changed to a more secure dialect, SMB2.1 or later (e.g. SMB3), from CIFS (SMB1). To use the less secure SMB1 dialect to access old servers which do not support SMB3 (or SMB2.1) specify vers=1.0 on mount.
Feb 22 14:40:17 rob-Z97 kernel: [74970.811923] CIFS VFS: cifs_mount failed w/return code = -13
 

anodos

Sambassador
iXsystems
Joined
Mar 6, 2014
Messages
6,565
I have just tried to mount the Music folder again, and then went to /var/log/syslog.
This is the last entry:

Feb 22 14:40:17 rob-Z97 kernel: [74970.811096] No dialect specified on mount. Default has changed to a more secure dialect, SMB2.1 or later (e.g. SMB3), from CIFS (SMB1). To use the less secure SMB1 dialect to access old servers which do not support SMB3 (or SMB2.1) specify vers=1.0 on mount.
Feb 22 14:40:17 rob-Z97 kernel: [74970.811923] CIFS VFS: cifs_mount failed w/return code = -13
Feb 22 14:40:17 rob-Z97 kernel: [74970.811096] No dialect specified on mount. Default has changed to a more secure dialect, SMB2.1 or later (e.g. SMB3), from CIFS (SMB1). To use the less secure SMB1 dialect to access old servers which do not support SMB3 (or SMB2.1) specify vers=1.0 on mount.
Feb 22 14:40:17 rob-Z97 kernel: [74970.811923] CIFS VFS: cifs_mount failed w/return code = -13
Can you add a -vvv to your mount command.
 

avalon60

Senior Member
Joined
Jan 15, 2014
Messages
489
sudo mount -vvv cifs -o username=****,password=******,uid=rob,gid=rob //192.168.0.22/WinShare/Media/Music /mnt/WinShare/Media/Music vers=1.0
mount: bad usage

I have tried -vvv after the -o, before the -o, before cifs as above and get the same error message each time
 

KrisBee

Neophyte Sage
Joined
Mar 20, 2017
Messages
1,118
sudo mount -vvv cifs -o username=****,password=******,uid=rob,gid=rob //192.168.0.22/WinShare/Media/Music /mnt/WinShare/Media/Music vers=1.0
mount: bad usage

I have tried -vvv after the -o, before the -o, before cifs as above and get the same error message each time
You left out the "-t" before cifs, and you shouldn't need to put "vers=1.0" in this command.
 

avalon60

Senior Member
Joined
Jan 15, 2014
Messages
489
It's there now:

rob@rob-Z97:~$ sudo mount -t cifs -o -vvv username=*****,password=*******,uid=rob,gid=rob //192.168.0.22/WinShare/Media/Music /mnt/WinShare/Media/Music
[sudo] password for rob:
mount: bad usage
Try 'mount --help' for more information.
 
Top